Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataxslt
Class Block

    java.lang.Object
      dom.DOMSubDocument
          com.knowgate.dataxslt.Block

    public class Block

extends dom.DOMSubDocument

Page Block

This class represents a <block></block> section of a PageSet XML definition file. The XML file is first parsed into a DOMDocument and then DOMDocument nodes are wrapped with classes that add specific PageSet behavior.

Field Summary

Fields inherited from class dom.DOMSubDocument
`oNode`

Constructor Summary
`Block(org.w3c.dom.Node oRefNode)`

Method Summary
`org.w3c.dom.Node` | `getNode()`
`java.lang.String` | `id()`
`void` | `id(java.lang.String sNewId)`
`java.util.Vector` | `images()`
`java.lang.String` | `metablock()`
`java.util.Vector<Paragraph>` | `paragraphs()`
`java.lang.String` | `tag()`
`void` | `tag(java.lang.String sNewTag)`
`java.lang.String` | `zone()`

Methods inherited from class dom.DOMSubDocument
`getElement, getElements, getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Block

    public Block(org.w3c.dom.Node oRefNode)

Parameters:
  `oRefNode` - DOMDocument Node holding <block> element.

Method Detail

### getNode

    public org.w3c.dom.Node getNode()

  Overrides:
    `getNode` in class `dom.DOMSubDocument`

### id

    public java.lang.String id()

  Returns:
    Block id attribute

### id

    public void id(java.lang.String sNewId)

### metablock

    public java.lang.String metablock()

  Returns:
    metablock element value

### tag

    public java.lang.String tag()

  Returns:
    tag element value

### tag

    public void tag(java.lang.String sNewTag)

### zone

    public java.lang.String zone()

  Returns:
    zone element value

### images

    public java.util.Vector images()

  Returns:
    Vector with Image objects for this Block.

### paragraphs

    public java.util.Vector<Paragraph> paragraphs()

  Returns:
    Vector with Paragraph objects for this Block.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD